Re: [code] Textadept in the migration from Python2 to Python3

From: Mitchell <m.att.foicica.com>
Date: Thu, 7 Jul 2016 20:43:10 -0400 (EDT)

Hi,

On Fri, 22 Apr 2016, Pedro Andres Aranda Gutierrez wrote:

> Hi,
>
> I'm not saying that we change TextAdept to work with Python3 only. However,
> you will agree that this will be an issue in the future as more people
> start migrating. I would suggest that if a solution to this issue is found
> that makes TextAdept work with both Python2 and Python3, it is integrated
> into the release (i.e. not in the user's init.lua). This will make the case
> for textAdept only stronger :-)

I've committed a change that has a run command that tries to identify
"python3" in the shebang line, and based on that, use the system's Python3
executable. Otherwise the default "python" executable will be used.
Hopefully this will work seamlessly on machines with both Python's
installed.

This will be in Textadept 9.

Cheers,
Mitchell

-- 
You are subscribed to code.att.foicica.com.
To change subscription settings, send an e-mail to code+help.att.foicica.com.
To unsubscribe, send an e-mail to code+unsubscribe.att.foicica.com.
Received on Thu 07 Jul 2016 - 20:43:10 EDT

This archive was generated by hypermail 2.2.0 : Fri 08 Jul 2016 - 06:50:21 EDT